{**********************************************************}
{            CLOSIM v 1.00  --  HELP FILE UNIT             }
{**********************************************************}
{ Containing the help files for the simulation program on  }
{ the Closure of Tidal Basins; written in Turbo Pascal 7.0 }
{ and Turbo Vision Graphics by Mark Middag, TUDelft, 1994. }
{**********************************************************}

Unit SIMHELP;

interface

uses CRT, DOS, Memory,
     MyGraph3,
     GObjects, GDrivers,
     MCursor2, GMENU6,
     GViews,  GDialogs,
     GMsgBox, GStdDlg,
     GApp, GColors, GWindow,
     BMPDrvr, GBut,

     GSIMOPTS,
     GSIMDIAL,
     SIMTOOLS,
     SIMVARS,
     SIMCALC,
     SIMDRAWS;

procedure Help_On(Topic: Integer);

var s1,s2,s3,s4,s5,s6,s7,s8: string[70];

implementation

procedure Help_On(Topic: Integer);                           {Help on Topic}

begin
    s1:='The help files for this option';                 {Reset Help Lines}
    s2:='are not yet available.';
    s3:=''; s4:='';
    s5:=''; s6:='';
    s7:=''; s8:='';

    case Topic of                                   {Set help lines for the}
							      {chosen topic}
    cmSetColors:
    begin
    s1:='You can select your own set of colors for the desktop.';
    s2:='';
    s3:='At any time, you can save the actual desktop using the';
    s4:='option Save Desktop in the drop down menu.';

    s6:='If you want to start the program with your new set of';
    s7:='colors, rename the desktop file to SIMFREE.DSK.';
    end;
    cmOverallWindow
    :begin
    s1:='The overall window shows in a graphical way';
    s2:='general information on the closure.';

    s4:='In the upper left corner a cross section of the';
    s5:='closure is shown. At the right side, a graph is';
    s6:='made, showing information of inside and outside';
    s7:='levels and the velocity. A top view of the';
    s8:='closure and a length section are shown beneath.';
    end;
    cmDataBoxWindow
    :begin
    S1:='The data window shows numerical information on';
    S2:='the closure.';

    S4:='For the explanation of the values you are referred';
    S5:='to the hydraulic manual of the program.';
    end;
    cmOptionsSave:
    begin
    s1:='You can save the desktop using this option.';
    s2:='';
    s3:='If you want the program to start up with your new';
    s4:='desktop, rename it to SIMFREE.DSK';
    end;
    cmOptionsLoad:
    begin
    s1:='Load your saved desktop using this option.';
    s2:='';
    end;
    cmAbout
    :begin
    s1:='The about-box gives you information on the';
    s2:='program name and version.';
    end;
    cmOpen
    :begin
    s1:='Load a closure situation with this option.';
    s2:='';
    s3:='At any time you want, you can save a closure';
    s4:='situation, and retrieve it again with this';
    s5:='option. ';
    end;
    cmSave
    :begin
    s1:='With this option a closure situation is saved, using';
    s2:='the name by which it lately was retrieved or saved.';
    s4:='Saving of closure situation can be done at any time.';
    end;
    cmSaveAs
    :begin
    s1:='Save a closure situation with this option.';
    s2:='';
    s3:='At any time you want you can save a closure';
    s4:='situation. With this option you are first asked';
    s5:='to give a file name.';
    end;
    cmQuit:
    begin
    s1:='With this option you quit the program and return to';
    s2:='the DOS prompt.';
    end;
    cmLogFiles:
    begin
    s1:='You can write the results to log files, which can be';
    s2:='imported in any spreadsheet to handle them, for example';
    s3:='in graphical presentations.';
    s4:='';
    s5:='The possible log files you can write are on the gap';
    s6:='dimensions, velocity, levels, production and erosion.';
    end;
    cmAdaptAll:
    begin
    s1:='You can adapt all values, and so enter a new closure';
    s2:='situation, by choosing this option. As you start a closure,';
    s3:='by choosing the Adapt button you can also reach this';
    s4:='possibility. The button on the left side of the screen';
    s5:='does the same.';
    end;
    cmDosShell:
    begin
    s1:='With this option you can temporally go to the DOS prompt;';
    s2:='you can return to the program typing EXIT.';
    end;
    cmDefault
    :begin
    s1:='Load a default situation with this option.';
    s2:='';
    s3:='The program starts up with a default situation.';
    s4:='Applying this option, you can get back to this';
    s5:='situation at any time. You can change the';
    s6:='default closure situation by saving a closure';
    s7:='as DEFAULT.CTB.';
    end;
    cmInitiateProcess
    :begin
    s1:='Init Process resets the actual closure back to';
    s2:='its equilibrium. All closure-related variables';
    s3:='are set back to their original value.';
    end;
    cmStart
    :begin
    s1:='You can start the process using this topic.';
    s2:='';
    s3:='For this, you can also use the stop watch button.';
    s4:='The process can be started and stopped at any';
    s5:='time. Before starting, the user is asked whether';
    s6:='he still wants to change data.';
    end;
    cmInterr
    :begin
    s1:='This option, linked to the stop watch button as';
    s2:='well, enables you to interrupt the process at';
    s3:='any time. It can be restarted using the same';
    s4:='button, or the START option of the main menu.';
    end;
    cmProcessToggle
    :begin
    s1:='The stop watch button starts and interrupts the';
    s2:='process at any time.';
    end;
    cmToggleSound
    :begin
    s1:='This option enables you to put the sound off and';
    s2:='on, just as you wish.';
    end;
    cmDateTime
    :begin
    s1:='The construction job has it''s own virtual date';
    s2:='and time.';
    s4:='This option enables you to change them.';
    end;
    cmBasin
    :begin
    s1:='A higher basin level enlarges the storage surface.';
    s3:='You can enter five data points between which the';
    s4:='level-storage relation can be interpolated.';
    end;
    cmClosure
    :begin
    s1:='Here you can enter general data on the closure.';
    s2:='';
    end;
    cmDepthsWidths
    :begin
    s1:='Enter the width and the depth of the gap.';
    s2:='If the equilibrium profile is calculated, the';
    s3:='depth is ajusted.';
    end;
    cmTide
    :begin
    s1:='Enter the tidal information with this option.';
    s2:='';
    s3:='The tide, as used in the program, exists of';
    s4:='four components (M2, S2, O1, K1), of which the';
    s5:='amplitude and phase at T=0 are entered.';
    end;
    cmRiverData
    :begin
    s1:='Data with respect to a river is simply entered';
    s2:='as an average river flow.';
    s4:='Remember, when there is a river flow, you should';
    s5:='construct a culvert as a spill-out.';
    end;
    cmDimensions
    :begin
    s1:='You can enter the dam dimensions (dam top heigth and';
    s2:='width), as well as the construction method for each of';
    s3:='the dams.';
    s5:='Remember, that this cannot be changed during the';
    s6:='construction process.';
    end;
    cmAngles
    :begin
    s1:='You can enter the angles (side angle in cross';
    s2:='sections or head angle).';

    s4:='Remember, the angle is only optional if you are';
    s5:='dumping from vessels. Otherwise, the angle you enter';
    s6:='is ajusted to the natural slope, according to the';
    s7:='dumping method and the particle sizes.';
    end;
    cmProtection
    :begin
    s1:='A stone dam is supposed to be constructed in the';
    s2:='middle of the protection you can enter here.';
    s4:='The protection can have a good either bad quality;';
    s5:='good protection can stand settlements, bad can not.';
    end;
    cmGradualClose
    :begin
    s1:='The data with regard to the activities can be entered';
    s2:='at any time. The productions are asked for, which should';
    s3:='be entered according to the production method. A vertical';
    s4:='construction always has a dumping inaccuracy of at least';
    s5:='two times the grain diameter. Entering a maximum level,';
    s6:='a sill can be constructed. The last parameter to enter';
    s7:='is the grain diameter D50 of the dumping material.';
    end;
    cmDefStorm
    :begin
    s1:='You can define a storm, entering four caracteristics:';
    s2:='';
    s3:='     1. The maximum storm surge (m);';
    s4:='     2. The duration of the storm (h);';
    s5:='     3. The maximum wave height (m);';
    s6:='     4. The probability of a storm (1/day).';
    end;
    cmStartStorm
    :begin
    s1:='Use this option (or the storm button) to set the ';
    s2:='probability of the storm temporarily to 1.';
    s3:='Because of this, a storm will occur right after';
    s4:='having chosen this option.';
    end;
    cmCaissonClose
    :begin
    s1:='A caisson closure isn''t possible yet to construct.';
    s2:='';
    s3:='It might be implemented into later versions';
    s4:='of the program.';
    end;
    cmCulvert
    :begin
    s1:='When there is a river flow, a culvert should be';
    s2:='constructed as a spill-out. The flow surface should be';
    s3:='big enough.';
    end;
    cmHelpOnTopics
    :begin
    s1:='You are just using this option to obtain help.';
    s2:='';
    end;
  end;
  HelpBox(S1+^M+                           {Execute procedure HelpBox from}
	  S2+^M+                             {GSIMDIAL with the help lines}
	  S3+^M+                                  {as defined by the topic}
	  S4+^M+
	  S5+^M+
	  S6+^M+
	  S7+^M+
	  S8);
  HelpRequired:=False;                                {Put off help status}
  end;
end.
